ExtUtils::Builder::Node(3pm)

NAME
ExtUtils::Builder::Node - An ExtUtils::Builder Node

VERSION
version 0.020

SYNOPSIS
 ExtUtils::Builder::Node->new(
     target       => $target_name,
     dependencies => \@dependencies,
     actions      => \@actions,
 );

DESCRIPTION
A node is the equivalent of a makefile entry. In essence it boils down to its three attributes: "target" (the name of the target), "dependencies"(the names of the dependencies) and "actions". A Node is a composite action, meaning that in can be executed or serialized as a whole.

ATTRIBUTES

  target
The target filename of this node.

  dependencies
The (file)names of the dependencies of this node.

  actions
A list of actions for this node.

  type
This must be one of "file" or "phony". In the latter case the target will not be represented on the filesystem.

  phony
Deprecated.

Instead, pass "type => 'phony'"

METHODS

  mergeable
This returns true if a node is mergeable, i.e. it's phony and has no actions.

AUTHOR
Leon Timmermans <fawaka@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.